> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Add new webhook instance

> Returns the created webhook instance



## OpenAPI

````yaml post /webhooks
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /webhooks:
    post:
      tags:
        - Webhooks
      summary: Add new webhook instance
      description: Returns the created webhook instance
      operationId: webhooks_create_webhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookInstancePostItem'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookInstanceGetItem'
        '400':
          content:
            application/json:
              example:
                message: >-
                  There is already an existing webhook with the same url and
                  type
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookInstancePostItem:
      properties:
        event:
          type: string
          maxLength: 80
          title: Event
        url:
          type: string
          maxLength: 500
          title: Url
        signingsecret:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Signingsecret
        integrationid:
          anyOf:
            - type: integer
            - type: 'null'
          title: Integrationid
          description: >-
            Can be used to specify the integration code of a specific connector.
            This is mandatory in case you create a webhook related to a specific
            One API.
      type: object
      required:
        - event
        - url
      title: WebhookInstancePostItem
    WebhookInstanceGetItem:
      properties:
        webhookid:
          type: string
          format: uuid
          title: Webhookid
        accountid:
          type: string
          format: uuid
          title: Accountid
        createdby:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Createdby
        createdon:
          type: string
          format: date-time
          title: Createdon
        event:
          type: string
          title: Event
        url:
          type: string
          title: Url
        status:
          $ref: '#/components/schemas/Status'
        integrationid:
          anyOf:
            - type: integer
            - type: 'null'
          title: Integrationid
      type: object
      required:
        - webhookid
        - accountid
        - createdon
        - event
        - url
        - status
      title: WebhookInstanceGetItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    Status:
      type: string
      enum:
        - active
        - inactive
      title: Status
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````